> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /Investments

<Warning>
  The Investments product will be retired on April 30, 2026. New integrations are not supported, and existing integrations will stop working after this date.
</Warning>


## OpenAPI

````yaml POST /v3/{customerId}/Investments
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instanceWealth}-api.private.fin.ag
    description: Flinks Wealth API
    variables:
      instanceWealth:
        default: toolbox-wealth
        description: The environment instance (e.g., toolbox-wealth, sandbox-wealth)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/Investments:
    post:
      tags:
        - Wealth
      summary: Get Investments
      operationId: getInvestments
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 1d43ba20-72da-4c6a-9621-30bdb1362f6b
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment specified in the instance field. By default, the value
            is the key for the toolbox environment.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                LoginId:
                  type: string
                  description: Access Token that's associated with a customer account.
                RequestId:
                  type: string
                  default: 3fa391bc-bc52-4424-82c5-8662600df9b2
                  description: Connected account's Session Token.
                MostRecentCached:
                  type: string
                  default: 'true'
                  description: Tells the API to pull the most recent data. Must = 'true'.
              example:
                MostRecentCached: 'true'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  Investments:
                    type: array
                    items:
                      type: object
                  Message:
                    type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  Title:
                    type: string
                  Message:
                    type: string
                  HttpStatusCode:
                    type: integer
      deprecated: true

````